toolzerhub API Docs

Search hotels (v1)

Get hotels and vacation rentals around a city, area or landmark for your dates and guests, with nightly and total prices, rating and a property_token for details and seller prices.

1 credit / requestBilled only on success
GET
/v1/google-hotels/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

A city, area or landmark, e.g. "Shinjuku Tokyo" or "hotels near Central Park". A bare place is searched as "hotels in ".

Length2 <= length <= 200
check_in_date*string

Check-in date.

Match^\d{4}-\d{2}-\d{2}$
check_out_date*string

Check-out date.

Match^\d{4}-\d{2}-\d{2}$
currency?string

ISO 4217 currency for prices.

Match^[A-Za-z]{3}$
Default"USD"
adults?integer

Adults staying. Prices are for this many guests.

Range1 <= value <= 6
Default2
curl -X GET "https://example.com/v1/google-hotels/search?query=Paris&check_in_date=2026-12-10&check_out_date=2026-12-13" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "currency": "string",    "place": {      "name": "string",      "google_maps_id": "string"    },    "properties": [      {        "property_token": "string",        "name": "string",        "type": "hotel",        "latitude": 0,        "longitude": 0,        "rating": 0,        "reviews": 0,        "price_per_night": 0,        "price_per_night_with_taxes": 0,        "total_price": 0,        "total_price_with_taxes": 0      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}